DEG8CK(3)

SYNOPSIS
SUBROUTINE DEG8CK (LUN, KPRINT, IPASS)

NAME
deg8ck - Quick check for DEXINT and DGAUS8.

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (EG8CK-S, DEG8CK-D)

KEYWORDS
QUICK CHECK

AUTHOR
Amos, D. E., (SNLA)

DESCRIPTION
DEG8CK is a quick check routine for DEXINT and DGAUS8. Exponential integrals from DEXINT are checked against quadratures from DGAUS8.

ROUTINES CALLED
D1MACH, DEXINT, DFEIN, DGAUS8

COMMON BLOCKS
DFEINX

REVISION HISTORY (YYMMDD)
800501 DATE WRITTEN
890718 Added check when testing error conditions. (WRB)
890718 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
910708 Code revised to test error returns for all values of KPRINT. (WRB)
920206 Corrected argument list in CALL to DEXINT. (WRB)